Airport Express 1st Gen firmware

Discussion in 'Mac OS X Server, Xserve, and Networking' started by dc2447, Jan 10, 2017.

  1. dc2447, Jan 10, 2017
    Last edited: Jan 10, 2017

    dc2447 macrumors newbie

    Joined:
    Dec 19, 2008
    #1
    I just bought an airport express first generation to extend my netowrk

    My sierra airport utility did not support the device, so I used al launcher to run the old version of airport express (5.6) and configured the device.

    I updated the firmware to 6.3

    Is there a way to upload to 7.6 ariprt firmware on an old device?

    screenshots

    http://imgur.com/a/jPcIM
     
  2. chrfr macrumors 603

    Joined:
    Jul 11, 2009
    #2
    Firmware is device-specific; you can't install a version that isn't intended for that hardware, so you're out of luck.
     
  3. dc2447 thread starter macrumors newbie

    Joined:
    Dec 19, 2008
    #3
    well, no. My airport extreme, time capsule and other first gen airport express all tun 7.7.8

    After doing some research it appears that the Airport express I bought is the G version (A108x) not the N version (A1264)

    I would have been fine if I bought an N

    https://en.wikipedia.org/wiki/AirPort_Express#History
     
  4. chrfr macrumors 603

    Joined:
    Jul 11, 2009
    #4
    Yes, they all run version 7.7.8 of the firmware, but those installers are not interchangeable with each other- each device will have its own individual updater in the background.
    I have one of the Airport Expresses that looks like yours but supports 802.11n and yes, it takes the latest firmware.
     
  5. dc2447 thread starter macrumors newbie

    Joined:
    Dec 19, 2008
    #5
    The N versions will run 7* firmware, the G will not. At least that's what I believe.
     
  6. chrfr macrumors 603

    Joined:
    Jul 11, 2009
    #6
    Correct.
     
  7. Dranon macrumors newbie

    Joined:
    Jun 18, 2010
    #7
    How do you get it update? I am using the old airport utility 5.6.1 and it sees the airport express N version it tells me it needs to update to 7.6.8 from 7.4.2 but it is stuck on searching for latest firmware!
     

    Attached Files:

Share This Page